| Fast DDS Version 3.3.0 Fast DDS

Loading...
Searching...
No Matches
TimeBasedFilterQosPolicy Class Reference

Filter that allows a DataReader to specify that it is interested only in (potentially) a subset of the values of the data. More...

`#include <QosPolicies.hpp>`

Inheritance diagram for TimeBasedFilterQosPolicy:
[legend]

## Public Member Functions

FASTDDS_EXPORTED_API | TimeBasedFilterQosPolicy ()
| Constructor.
virtual FASTDDS_EXPORTED_API | ~TimeBasedFilterQosPolicy ()=default
| Destructor.
bool | operator== (const TimeBasedFilterQosPolicy &b) const
void | clear () override
| Clears the QosPolicy object.
Public Member Functions inherited from Parameter_t
FASTDDS_EXPORTED_API | Parameter_t ()
| Constructor without parameters.
FASTDDS_EXPORTED_API | Parameter_t (ParameterId_t pid, uint16_t length)
| Constructor using a parameter PID and the parameter length.
virtual FASTDDS_EXPORTED_API | ~Parameter_t ()
| Destructor.
bool | operator== (const Parameter_t &b) const
Public Member Functions inherited from QosPolicy
| QosPolicy ()
| Constructor without parameters.
| QosPolicy (bool send_always)
| Constructor.
| QosPolicy (const QosPolicy &b)=default
| Copy Constructor.
virtual | ~QosPolicy ()=default
| Destructor.
bool | operator== (const QosPolicy &b) const
QosPolicy & | operator= (const QosPolicy &b)=default
virtual bool | send_always () const
| Whether it should always be sent.

## Public Attributes

fastdds::dds::Duration_t | minimum_separation
| Minimum interval between samples. By default, dds::c_TimeZero (the DataReader is interested in all values).
Public Attributes inherited from Parameter_t
ParameterId_t | Pid
| Parameter ID. By default, PID_PAD.
uint16_t | length
| Parameter length. By default, 0.
Public Attributes inherited from QosPolicy
bool | hasChanged
| Boolean that indicates if the Qos has been changed with respect to the default Qos.

## Additional Inherited Members

Protected Attributes inherited from QosPolicy
bool | send_always_
| Boolean that indicates if the Qos has to be sent even if it is not changed.

## Detailed Description

Filter that allows a DataReader to specify that it is interested only in (potentially) a subset of the values of the data.

The filter states that the DataReader does not want to receive more than one value each minimum_separation, regardless of how fast the changes occur. It is inconsistent for a DataReader to have a minimum_separation longer than its Deadline period.

Warning
  This QosPolicy can be defined and is transmitted to the rest of the network but is not implemented in this version.

Note
  Mutable Qos Policy

## Constructor & Destructor Documentation

## ◆ TimeBasedFilterQosPolicy()

FASTDDS_EXPORTED_API TimeBasedFilterQosPolicy | ( |  | ) |

inline

Constructor.

## ◆ ~TimeBasedFilterQosPolicy()

virtual FASTDDS_EXPORTED_API ~TimeBasedFilterQosPolicy | ( |  | ) |

virtual default

Destructor.

## Member Function Documentation

## ◆ clear()

void clear | ( |  | ) |

inline override virtual

Clears the QosPolicy object.

Implements QosPolicy.

## ◆ operator==()

bool operator== | ( | const TimeBasedFilterQosPolicy & | b | ) | const

inline

## Member Data Documentation

## ◆ minimum_separation

fastdds::dds::Duration_t minimum_separation

Minimum interval between samples. By default, dds::c_TimeZero (the DataReader is interested in all values).

The documentation for this class was generated from the following file:

- include/fastdds/dds/core/policy/QosPolicies.hpp